## libsnmp-fsc 5.00.12

=== Makefile ===
all: install
	
build:	clean
	tar -xzf snmpmibs.tgz 

install: build
	for m in snmpmibs/*.mib snmpmibs/*.MIB ;do cp -f $$m usr/share/snmp/mibs/`grep "DEFINITIONS ::= BEGIN" $$m | awk -F "DEFINITIONS" '{ print $$1 }' | sed -e 's/ //g' |  sed -e 's/\t//g'`.txt;done
	rm -f usr/share/snmp/mibs/.txt
	rm -r usr/share/snmp/mibs/IF-MIB.txt
	rm -f usr/share/snmp/mibs/BRIDGE-MIB.txt
	rm -f usr/share/snmp/mibs/NET-SNMP-MIB.txt
	rm -f usr/share/snmp/mibs/RFC1213-MIB.txt
	rm -f usr/share/snmp/mibs/RMON-MIB.txt
	rm -f usr/share/snmp/mibs/XPPC-MIB.txt

clean:
	rm -rf snmpmibs
	rm -rf usr/share/snmp/mibs/*.txt

=== debian/changelog ===
libsnmp-fsc (5.00.12) wheezy; urgency=low

  * First Build for wheezy 

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 05 Dec 2012 12:09:05 +0100

libsnmp-fsc (5.00.11+nmu1) stable; urgency=low

  * Non-maintainer upload.
  * Removed XPPC-MIB.txt. It's already included in libsnmp-adpos.

 -- Hardy Kestin <hardy@noris.net>  Wed, 08 Dec 2010 17:08:54 +0100

libsnmp-fsc (5.00.11) stable; urgency=low

  * und noch ne MIB zu viel... 

 -- Stefan Pfab <stefan.pfab@noris.net>  Tue, 07 Dec 2010 14:54:34 +0100

libsnmp-fsc (5.00.10) stable; urgency=low

  * ein paar MIBs aus dem Paket gibts schon...

 -- Stefan Pfab <stefan.pfab@noris.net>  Tue, 07 Dec 2010 14:44:38 +0100

libsnmp-fsc (5.00.09-1) stable; urgency=low

  * Initial release. (Closes: #10499724)

 -- Stefan Pfab <stefan.pfab@noris.net>  Tue, 07 Dec 2010 12:32:45 +0100

=== debian/control ===
Source: libsnmp-fsc
Section: libs
Priority: extra
Maintainer: Stefan Pfab <spfab@noris.net>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: libsnmp-fsc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base | libsnmp
Description: SNMP (Simple Network Management Protocol) MIBs for FSC Servers.
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.  This package includes the MIBs (Management Information
 Bases) for Storages, Rackmount- and Bladeservers of Fujitsu (Siemens) 
 Computers.
 MIBs contain a formal description of the data that can
 be managed using SNMP. They are used by NET SNMP libraries, agents
 and applications.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/libsnmp-wut.
	$(MAKE) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
	dh_install usr/share/snmp/mibs
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
#	dh_link
#	dh_strip
#	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libsnmp-fsc 6.0-1

=== debian/changelog ===
libsnmp-fsc (6.0-1) squeeze; urgency=low

  * New build for lenny

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 07 Mar 2011 15:19:05 +0100
